<?php
if (isset($_POST)) {
    // .. znamená přechod o jeden adresář zpět v adresářové struktuře
    include "../php/connection.php";

    if (!$MYSQL_UPLOAD || $ANONYMOUS_MODE)
        ukoncitSpojeni("Pristup zamitnut: Anonymní mod nebo zakázany upload do DB.", $connection);
    else {
        // Check connection
        if ($connection) {
            $nazevSouboru = json_decode(file_get_contents('php://input'), true);

            echo $nazevSouboru;
            echo "\n";
            // Cesta k souboru
            $BACKUP_DIR = "../" . $BACKUP_DIR;

            // Funkce "glob()", která vrátí seznam souborů odpovídajících danému vzoru
            $file_list = glob("$BACKUP_DIR/*");


            // Pokud soubor nebyl nalezen, výpíše se chybová hláška
            if (!file_exists("$BACKUP_DIR/$nazevSouboru")) {
                echo "Soubor nebyl nalezen.";
                ukoncitSpojeni("Soubor nebyl nalezen", $connection);
            } else {
                echo "Soubor nalezen.";
                $soubor = $BACKUP_DIR . "/" . $nazevSouboru;
  
                // otevření souboru s databázovou zálohou
                $handle = fopen($soubor, "r");
                $contents = fread($handle, filesize($soubor));
                fclose($handle);

                // oddělení jednotlivých příkazů v souboru
                $statements = explode(';', $contents);

                // spuštění každého příkazu z databázové zálohy
                foreach ($statements as $statement) {
                if (trim($statement) != '') {
                    $result = $connection->query($statement);
                    if (!$result) {
                        ukoncitSpojeni("Chyba pri obnovovani databaze: " . $connection->$error, $connection);
                    }
                }
                }

                ukoncitSpojeni("Uspesne nahrana zaloha mySQL databaze", $connection);
            }
        } else
            ukoncitSpojeni("Chyba pri pripojovani do DB.", $connection);
    }



}

function ukoncitSpojeni($hlaska, $connection)
{
    echo json_encode($hlaska);
    mysqli_close($connection);
    die;
}
?>